BeanPropertyMutator (Jackson module: Afterburner 2.8.0 API)
Date: 2016-07-04

com.fasterxml.jackson.module.afterburner.deser

## Class BeanPropertyMutator

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.deser.BeanPropertyMutator

-     public abstract class BeanPropertyMutator
      extends Object

  Abstract class that defines interface for implementations that can be used proxy-like to change values of properties, without using Reflection.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `index` Index of the property setter or field.
    `protected com.fasterxml.jackson.databind.deser.SettableBeanProperty` | `originalMutator` Mutator we have to call if an access exception is encountered durign operation

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BeanPropertyMutator()` Default constructor used for creating a "blueprint" instance, from which per-field/per-method instances specialize.
    `protected` | `BeanPropertyMutator(com.fasterxml.jackson.databind.deser.SettableBeanProperty origM, int ix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `booleanField(Object bean, boolean value)`
    `protected void` | `booleanField(Object bean, int propertyIndex, boolean value)`
    `void` | `booleanSetter(Object bean, boolean value)`
    `protected void` | `booleanSetter(Object bean, int propertyIndex, boolean value)`
    `void` | `intField(Object bean, int value)`
    `protected void` | `intField(Object bean, int propertyIndex, int value)`
    `void` | `intSetter(Object bean, int value)`
    `protected void` | `intSetter(Object bean, int propertyIndex, int value)`
    `protected void` | `longField(Object bean, int propertyIndex, long value)`
    `void` | `longField(Object bean, long value)`
    `protected void` | `longSetter(Object bean, int propertyIndex, long value)`
    `void` | `longSetter(Object bean, long value)`
    `protected void` | `objectField(Object bean, int propertyIndex, Object value)`
    `void` | `objectField(Object bean, Object value)`
    `protected void` | `objectSetter(Object bean, int propertyIndex, Object value)`
    `void` | `objectSetter(Object bean, Object value)`
    `protected void` | `stringField(Object bean, int propertyIndex, String value)`
    `void` | `stringField(Object bean, String value)`
    `protected void` | `stringSetter(Object bean, int propertyIndex, String value)`
    `void` | `stringSetter(Object bean, String value)`
    `abstract BeanPropertyMutator` | `with(com.fasterxml.jackson.databind.deser.SettableBeanProperty origM, int newIndex)` Mutant factory method called to create variant with proper fallback property to call, index to use for error reporting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### originalMutator

          protected final com.fasterxml.jackson.databind.deser.SettableBeanProperty originalMutator

      Mutator we have to call if an access exception is encountered durign operation

    - #### index

          protected final int index

      Index of the property setter or field. Only used for error reporting at this point.

  - ### Constructor Detail

    - #### BeanPropertyMutator

          protected BeanPropertyMutator()

      Default constructor used for creating a "blueprint" instance, from which per-field/per-method instances specialize.

    - #### BeanPropertyMutator

          protected BeanPropertyMutator(com.fasterxml.jackson.databind.deser.SettableBeanProperty origM,
                             int ix)

  - ### Method Detail

    - #### with

          public abstract BeanPropertyMutator with(com.fasterxml.jackson.databind.deser.SettableBeanProperty origM,
                                 int newIndex)

      Mutant factory method called to create variant with proper fallback property to call, index to use for error reporting.

    - #### intSetter

          public void intSetter(Object bean,
                       int value)
                         throws IOException

      Throws:
        `IOException`

    - #### longSetter

          public void longSetter(Object bean,
                        long value)
                          throws IOException

      Throws:
        `IOException`

    - #### booleanSetter

          public void booleanSetter(Object bean,
                           boolean value)
                             throws IOException

      Throws:
        `IOException`

    - #### stringSetter

          public void stringSetter(Object bean,
                          String value)
                            throws IOException

      Throws:
        `IOException`

    - #### objectSetter

          public void objectSetter(Object bean,
                          Object value)
                            throws IOException

      Throws:
        `IOException`

    - #### intField

          public void intField(Object bean,
                      int value)
                        throws IOException

      Throws:
        `IOException`

    - #### longField

          public void longField(Object bean,
                       long value)
                         throws IOException

      Throws:
        `IOException`

    - #### booleanField

          public void booleanField(Object bean,
                          boolean value)
                            throws IOException

      Throws:
        `IOException`

    - #### stringField

          public void stringField(Object bean,
                         String value)
                           throws IOException

      Throws:
        `IOException`

    - #### objectField

          public void objectField(Object bean,
                         Object value)
                           throws IOException

      Throws:
        `IOException`

    - #### intSetter

          protected void intSetter(Object bean,
                       int propertyIndex,
                       int value)

    - #### longSetter

          protected void longSetter(Object bean,
                        int propertyIndex,
                        long value)

    - #### booleanSetter

          protected void booleanSetter(Object bean,
                           int propertyIndex,
                           boolean value)

    - #### stringSetter

          protected void stringSetter(Object bean,
                          int propertyIndex,
                          String value)

    - #### objectSetter

          protected void objectSetter(Object bean,
                          int propertyIndex,
                          Object value)

    - #### intField

          protected void intField(Object bean,
                      int propertyIndex,
                      int value)

    - #### longField

          protected void longField(Object bean,
                       int propertyIndex,
                       long value)

    - #### booleanField

          protected void booleanField(Object bean,
                          int propertyIndex,
                          boolean value)

    - #### stringField

          protected void stringField(Object bean,
                         int propertyIndex,
                         String value)

    - #### objectField

          protected void objectField(Object bean,
                         int propertyIndex,
                         Object value)

Copyright © 2016 FasterXML. All rights reserved.